
function IAI::DPCensus(%g) {
	%group = "MissionGroup/DropPointGroup"@%g;
	if (!isObject(%group)) return;
	%id = 0;
	while (%id=getNextObject(%group,%id)) $IAI::DP[$IAI::NDP++] = %id;
}

function IAI::DPScramble() {
	$IAI::NDP = 0;
if (0) {
	// scramble only active teams
	if ($server::AllowTeamYellow) IAI::DPCensus(1);
	if ($server::AllowTeamBlue) IAI::DPCensus(2);
	if ($server::AllowTeamRed) IAI::DPCensus(3);
	if ($server::AllowTeamPurple) IAI::DPCensus(4);
} else {
	// scramble everything
	IAI::DPCensus(1);
	IAI::DPCensus(2);
	IAI::DPCensus(3);
	IAI::DPCensus(4);
}
	// foreach drop point
	for (%i=1;%i<=$IAI::NDP;%i++) {
		// select another point at random
		%r = randomInt(1,$IAI::NDP);
		%id0 = $IAI::DP[%i];
		%id1 = $IAI::DP[%r];
		// and exchange positions
		%x0 = getPosition(%id0,x);
		%y0 = getPosition(%id0,y);
		%z0 = getPosition(%id0,z);
		%r0 = getPosition(%id0,rot);
		%x1 = getPosition(%id1,x);
		%y1 = getPosition(%id1,y);
		%z1 = getPosition(%id1,z);
		%r1 = getPosition(%id1,rot);
		setPosition(%id0,%x1,%y1,%z1,%rot1);
		setPosition(%id1,%x0,%y0,%z0,%rot0);
	}
	return $IAI::NDP;
}
